Subject: Re: Recovering from commit --amend in rebase --interactive

From: Jan Krüger <[email-masked]>
Date: Tue, 1 Jun 2010 11:57:55 +0200

Peter Krefting <[email-masked]> wrote:

> Last time this happened to me, I *did* notice my mistake as I entered
> the editor, since it came up with the previous commit's message.
> However, as the commit message file was in a good shape, I found no
> way to break out of the amend.

It might be easy to miss, but it's there, right in the editor:

# Please enter the commit message for your changes. Lines starting
# with '#' will be ignored, and *an empty message aborts the commit*.
(Emphasis added)

In general, it might be helpful to warn very loudly upon doing a commit
--amend after fixing conflicts, but an implementation would probably be
ugly and for all I know, there might be people who frequently cause
conflicts while amending; those guys would probably be quite annoyed at
such a warning.

-Jan